Skip to main content
GET
/
campaigns
List campaigns
curl --request GET \
  --url https://api.pamhq.com/v1/campaigns \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "name": "<string>",
      "type": "recall",
      "mode": "one_time",
      "status": "draft",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "request_id": "<string>",
    "pagination": {
      "cursor": "<string>",
      "has_more": true
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.pam.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:pk_live_your_api_key
required

API key provided as Authorization: Bearer <key>.

Query Parameters

status
enum<string>
Available options:
draft,
active,
paused,
completed,
cancelled
type
enum<string>
Available options:
recall,
retention,
custom
mode
enum<string>
default:one_time
Available options:
one_time,
automation
created_after
string<date-time>
created_before
string<date-time>
limit
integer
default:20

Maximum number of records to return.

Required range: 1 <= x <= 100
cursor
string

Pagination cursor from the previous response.

Response

Campaigns returned

data
object[]
meta
object